"""Nyan cat animation frames.
Based on nyan cat animation from http://miku.acm.uiuc.edu/"""

from itertools import cycle

trail_len = 2

animation = [
    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,,,''''''''''''''',,,,,,,,",
    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@$$$$$-$$-$$$$@@',,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$$''$-$$@','',,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$$$$$$$'**'$$$@''**',,",
    ("+++++++&&&&&&&&" * trail_len) + "'''++'@$$$$$-$$'***$$$@'***',,",
    ("+++++++++++++++" * trail_len) + "**''+'@$$$$$$$$'***''''****',,",
    ("+++++++++++++++" * trail_len) + "'**'''@$$$$$$$$'***********',,",
    ("#######++++++++" * trail_len) + "''**''@$$$$$$-'*************',",
    ("###############" * trail_len) + "#''**'@$-$$$$$'***.'****.'**',",
    ("###############" * trail_len) + "##''''@$$$$$$$'***''**'*''**',",
    ("=======########" * trail_len) + "====''@@$$$-$$'*%%********%%',",
    ("===============" * trail_len) + "====='@@@$$$$$$'***''''''**',,",
    (";;;;;;;========" * trail_len) + ";;;;'''@@@@@@@@@'*********',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;'***''''''''''''''''''',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;'**'','*',,,,,'*','**',,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,,'''',,'',,,,,,,'',,'',,,,,,",

    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,,,''''''''''''''',,,,,,,,,",
    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@$$$$$-$$-$$$$@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$$$''-$$@',,'',,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$$$$$$$$'**'$$@','**',,",
    ("+++++++&&&&&&&&" * trail_len) + "+++++'@$$$$$-$$$'***$$@''***',,",
    ("+++++++++++++++" * trail_len) + "+'+++'@$$$$$$$$$'***''''****',,",
    ("+++++++++++++++" * trail_len) + "'*'++'@$$$$$$$$$'***********',,",
    ("#######++++++++" * trail_len) + "'*''''@$$$$$$-$'*************',",
    ("###############" * trail_len) + "#****'@$-$$$$$$'***.'****.'**',",
    ("###############" * trail_len) + "#''**'@$$$$$$$$'***''**'*''**',",
    ("=======########" * trail_len) + "==='''@@$$$-$$$'*%%********%%',",
    ("===============" * trail_len) + "====='@@@$$$$$$$'***''''''**',,",
    (";;;;;;;========" * trail_len) + ";;;;;''@@@@@@@@@@'*********',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'**'''''''''''''''''''',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'**','*',,,,,,**','**',,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,,,''',,,'',,,,,,''',,''',,,,,",

    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>>'@@@@@@@@@@@@@@@',,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@@$$$$$-$$-$$$$@@',,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$$$''-$$@',,'',,",
    ("&&&&&&&++++++++" * trail_len) + "&&&&&&'@$$$$$$$$$'**'$$@','**',",
    ("+++++++++++++++" * trail_len) + "++++++'@$$$$$-$$$'***$$@''***',",
    ("+++++++++++++++" * trail_len) + "++++++'@$$$$$$$$$'***''''****',",
    ("+++++++########" * trail_len) + "++++++'@$$$$$$$$$'***********',",
    ("###############" * trail_len) + "#####''@$$$$$$-$'*************'",
    ("###############" * trail_len) + "##'''''@$-$$$$$$'***.'****.'**'",
    ("#######========" * trail_len) + "#'****'@$$$$$$$$'***''**'*''**'",
    ("===============" * trail_len) + "=='''='@@$$$-$$$'*%%********%%'",
    ("=======;;;;;;;;" * trail_len) + "======'@@@$$$$$$$'***''''''**',",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;;''@@@@@@@@@@'*********',,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;;'*'''''''''''''''''''',,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;;;;'**',**',,,,,,**','**',,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,,''',,''',,,,,,''',,''',,,",

    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>>'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@@$$$$$-$$-$$$$@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$$$''-$$@',,'',,,",
    ("&&&&&&&++++++++" * trail_len) + "&&&&&&'@$$$$$$$$$'**'$$@','**',,",
    ("+++++++++++++++" * trail_len) + "++++++'@$$$$$-$$$'***$$@''***',,",
    ("+++++++++++++++" * trail_len) + "++++++'@$$$$$$$$$'***''''****',,",
    ("+++++++########" * trail_len) + "++++++'@$$$$$$$$$'***********',,",
    ("###############" * trail_len) + "####'''@$$$$$$-$'*************',",
    ("###############" * trail_len) + "##''**'@$-$$$$$$'***.'****.'**',",
    ("#######========" * trail_len) + "##****'@$$$$$$$$'***''**'*''**',",
    ("===============" * trail_len) + "='*'=='@@$$$-$$$'*%%********%%',",
    ("=======;;;;;;;;" * trail_len) + "=='==='@@@$$$$$$$'***''''''**',,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;;''@@@@@@@@@@'*********',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;'**'''''''''''''''''''',,,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;;;'**','*',,,,,,'*','**',,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,''',,,'',,,,,,,'',,''',,,,,",

    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>>''''''''''''''',,,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@@$$$$$-$$-$$$$@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$$''$-$$@','',,,,,",
    ("+++++++&&&&&&&&" * trail_len) + "+++++'@$$$$$$$$'**'$$$@''**',,,,",
    ("+++++++++++++++" * trail_len) + "+++++'@$$$$$-$$'***$$$@'***',,,,",
    ("+++++++++++++++" * trail_len) + "'''++'@$$$$$$$$'***''''****',,,,",
    ("#######++++++++" * trail_len) + "**''''@$$$$$$$$'***********',,,,",
    ("###############" * trail_len) + "****''@$$$$$$-'*************',,,",
    ("###############" * trail_len) + "''''*'@$-$$$$$'***.'****.'**',,,",
    ("=======########" * trail_len) + "==='''@$$$$$$$'***''**'*''**',,,",
    ("===============" * trail_len) + "====='@@$$$-$$'*%%********%%',,,",
    (";;;;;;;========" * trail_len) + ";;;;''@@@$$$$$$'***''''''**',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;''''@@@@@@@@@'*********',,,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;'***'''''''''''''''''''',,,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,'**','**,,,,,,'**,'**',,,,,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,''',,,'',,,,,,,'',,''',,,,,,,,",

    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>>''''''''''''''',,,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@@$$$$$-$$''$$$@@','',,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$'**'-$$@''**',,,,",
    ("+++++++&&&&&&&&" * trail_len) + "+++++'@$$$$$$$$'***$$$@'***',,,,",
    ("+++++++++++++++" * trail_len) + "+'+++'@$$$$$-$$'***''''****',,,,",
    ("+++++++++++++++" * trail_len) + "'*'++'@$$$$$$$$'***********',,,,",
    ("#######++++++++" * trail_len) + "'*''''@$$$$$$$'*************',,,",
    ("###############" * trail_len) + "#****'@$$$$$$-'***.'****.'**',,,",
    ("###############" * trail_len) + "#''**'@$-$$$$$'***''**'*''**',,,",
    ("=======########" * trail_len) + "==='''@$$$$$$$'*%%********%%',,,",
    ("===============" * trail_len) + "====='@@$$$-$$$'***''''''**',,,,",
    (";;;;;;;========" * trail_len) + ";;;;''@@@$$$$$$$'*********',,,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;'*''@@@@@@@@@@''''''''',,,,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;'***''''''''''''''''*',,,,,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,'**','**,,,,,,'**,'**',,,,,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,''',,''',,,,,,''',,''',,,,,,,,",

    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,,",
    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@$$$$$-$$-$$$$@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$$''$-$$@','',,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$$$$$$$'**'$$$@''**',,,",
    ("&&&&&&&++++++++" * trail_len) + "&'''&&'@$$$$$-$$'***$$$@'***',,,",
    ("+++++++++++++++" * trail_len) + "+'*''+'@$$$$$$$$'***''''****',,,",
    ("+++++++++++++++" * trail_len) + "+'**'''@$$$$$$$$'***********',,,",
    ("+++++++########" * trail_len) + "++'**''@$$$$$$-'*************',,",
    ("###############" * trail_len) + "##''**'@$-$$$$$'***.'****.'**',,",
    ("###############" * trail_len) + "###''''@$$$$$$$'***''**'*''**',,",
    ("#######========" * trail_len) + "#####''@@$$$-$$'*%%********%%',,",
    ("===============" * trail_len) + "======'@@@$$$$$$'***''''''**',,,",
    ("=======;;;;;;;;" * trail_len) + "====='''@@@@@@@@@'*********',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'***''''''''''''''''''',,,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'**'','*',,,,,'**,'**',,,,,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;;'''',,'',,,,,,,'',,'',,,,,,,",

    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,,",
    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@$$$$$-$$-$$$$@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$$$''-$$@',,'',,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$$$$$$$$'**'$$@','**',,",
    ("&&&&&&&++++++++" * trail_len) + "&&&&&&'@$$$$$-$$$'***$$@''***',,",
    ("+++++++++++++++" * trail_len) + "++'+++'@$$$$$$$$$'***''''****',,",
    ("+++++++++++++++" * trail_len) + "+'*'++'@$$$$$$$$$'***********',,",
    ("+++++++########" * trail_len) + "+'*''''@$$$$$$-$'*************',",
    ("###############" * trail_len) + "##****'@$-$$$$$$'***.'****.'**',",
    ("###############" * trail_len) + "##''**'@$$$$$$$$'***''**'*''**',",
    ("#######========" * trail_len) + "####'''@@$$$-$$$'*%%********%%',",
    ("===============" * trail_len) + "======'@@@$$$$$$$'***''''''**',,",
    ("=======;;;;;;;;" * trail_len) + "======''@@@@@@@@@@'*********',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;'**'''''''''''''''''''',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;'**','*',,,,,,**','**',,,,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;;;''',,,'',,,,,,''',,''',,,,,",

    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>>''''''''''''''',,,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@@$$$$$-$$-$$$$@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$$$''-$$@',,'',,,,",
    ("+++++++&&&&&&&&" * trail_len) + "+++++'@$$$$$$$$$'**'$$@','**',,,",
    ("+++++++++++++++" * trail_len) + "+++++'@$$$$$-$$$'***$$@''***',,,",
    ("+++++++++++++++" * trail_len) + "+++++'@$$$$$$$$$'***''''****',,,",
    ("#######++++++++" * trail_len) + "#####'@$$$$$$$$$'***********',,,",
    ("###############" * trail_len) + "####''@$$$$$$-$'*************',,",
    ("###############" * trail_len) + "#'''''@$-$$$$$$'***.'****.'**',,",
    ("=======########" * trail_len) + "'****'@$$$$$$$$'***''**'*''**',,",
    ("===============" * trail_len) + "='''='@@$$$-$$$'*%%********%%',,",
    (";;;;;;;========" * trail_len) + ";;;;;'@@@$$$$$$$'***''''''**',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;''@@@@@@@@@@'*********',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;'*'''''''''''''''''''',,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,,,,'**',**',,,,,,**'.'**',,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,,,''',,''',,,,,,''',,''',,,,,",

    (">>>>>>>,,,,,,,," * trail_len) + ">>>>>>>''''''''''''''',,,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@@@@@@@@@@@@@',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>'@@@$$$$$$$$$$$@@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@@$$$$$-$$-$$$$@@',,,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&'@$$-$$$$$$$''-$$@',,'',,,,",
    ("+++++++&&&&&&&&" * trail_len) + "+++++'@$$$$$$$$$'**'$$@','**',,,",
    ("+++++++++++++++" * trail_len) + "+++++'@$$$$$-$$$'***$$@''***',,,",
    ("+++++++++++++++" * trail_len) + "+++++'@$$$$$$$$$'***''''****',,,",
    ("#######++++++++" * trail_len) + "#####'@$$$$$$$$$'***********',,,",
    ("###############" * trail_len) + "###'''@$$$$$$-$'*************',,",
    ("###############" * trail_len) + "#''**'@$-$$$$$$'***.'****.'**',,",
    ("=======########" * trail_len) + "=****'@$$$$$$$$'***''**'*''**',,",
    ("===============" * trail_len) + "'*'=='@@$$$-$$$'*%%********%%',,",
    (";;;;;;;========" * trail_len) + ";';;;'@@@$$$$$$$'***''''''**',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;;''@@@@@@@@@@'*********',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'**'''''''''''''''''''',,,,,",
    (",,,,,,,;;;;;;;;" * trail_len) + ",,,,'**','*',,,,,,**','**',,,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,,''',,,'',,,,,,''',,''',,,,,,",

    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>>'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@@$$$$$-$$-$$$$@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$$''$-$$@','',,,,",
    ("&&&&&&&++++++++" * trail_len) + "&&&&&&'@$$$$$$$$'**'$$$@''**',,,",
    ("+++++++++++++++" * trail_len) + "++++++'@$$$$$-$$'***$$$@'***',,,",
    ("+++++++++++++++" * trail_len) + "+'''++'@$$$$$$$$'***''''****',,,",
    ("+++++++########" * trail_len) + "'**''''@$$$$$$$$'***********',,,",
    ("###############" * trail_len) + "'****''@$$$$$$-'*************',,",
    ("###############" * trail_len) + "#''''*'@$-$$$$$'***.'****.'**',,",
    ("#######========" * trail_len) + "####'''@$$$$$$$'***''**'*''**',,",
    ("===============" * trail_len) + "======'@@$$$-$$'*%%********%%',,",
    ("=======;;;;;;;;" * trail_len) + "=====''@@@$$$$$$'***''''''**',,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;''''@@@@@@@@@'*********',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;'***'''''''''''''''''''',,,,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;'**'''***,,,,,'**''**',,,,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,''',,,'',,,,,,,''',''',,,,,,,",

    (",,,,,,,>>>>>>>>" * trail_len) + ",,,,,,,,''''''''''''''',,,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>>'@@@@@@@@@@@@@@@',,,,,,,,",
    (">>>>>>>>>>>>>>>" * trail_len) + ">>>>>>'@@@$$$$$$$$$$$@@@',,,,,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@@$$$$$-$$''$$$@@','',,,,",
    ("&&&&&&&&&&&&&&&" * trail_len) + "&&&&&&'@$$-$$$$$'**'-$$@''**',,,",
    ("&&&&&&&++++++++" * trail_len) + "&&&&&&'@$$$$$$$$'***$$$@'***',,,",
    ("+++++++++++++++" * trail_len) + "++'+++'@$$$$$-$$'***''''****',,,",
    ("+++++++++++++++" * trail_len) + "+'*'++'@$$$$$$$$'***********',,,",
    ("+++++++########" * trail_len) + "+'*''''@$$$$$$$'*************',,",
    ("###############" * trail_len) + "##****'@$$$$$$-'***.'****.'**',,",
    ("###############" * trail_len) + "##''**'@$-$$$$$'***''**'*''**',,",
    ("#######========" * trail_len) + "####'''@$$$$$$$'*%%********%%',,",
    ("===============" * trail_len) + "======'@@$$$-$$$'***''''''**',,,",
    ("=======;;;;;;;;" * trail_len) + "=====''@@@$$$$$$$'*********',,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;;'*''@@@@@@@@@@''''''''',,,,,",
    (";;;;;;;;;;;;;;;" * trail_len) + ";;;'***''''''''''''''''*',,,,,,,",
    (";;;;;;;,,,,,,,," * trail_len) + ";;;'**','**,,,,,,'**''**',,,,,,,",
    (",,,,,,,,,,,,,,," * trail_len) + ",,,''',,''',,,,,,''',,''',,,,,,,",
]

def infinite_nyan():
    return cycle(animation)
